## safe-rm 1.0.0

=== Makefile ===
VERSION=$(shell grep "^[^ ]" Changes | head -1 | cut -f1 -d' ')
BINARY=target/release/safe-rm
BUILDDIR=safe-rm-$(VERSION)
TARBALL=safe-rm-$(VERSION).tar.gz

all: $(BINARY)

$(BINARY):
	cargo build --release

dist: $(TARBALL)
	gpg --armor --sign --detach-sig $(TARBALL)

$(TARBALL):
	mkdir $(BUILDDIR)
	cp -r `cat Manifest` $(BUILDDIR)
	tar zcf $(TARBALL) $(BUILDDIR)
	rm -rf $(BUILDDIR)

clean:
	-rm -rf $(TARBALL) $(TARBALL).asc $(BUILDDIR) target

test:
	cargo check
	cargo test

## safe-rm 0.8

=== debian/changelog ===
safe-rm (0.8-6) unstable; urgency=low

  * Switch to a minimal debian/rules file
  * Bump debhelper compatibility to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 22:57:50 +1200

safe-rm (0.8-5) unstable; urgency=low

  * Add Danish debconf translation (closes: #653690)
  * Bump Standards-Version up to 3.9.2
  * Add empty build-arch and build-indep targets in debian/rules

 -- Francois Marier <francois@debian.org>  Sat, 31 Dec 2011 14:50:37 +1300

safe-rm (0.8-4) unstable; urgency=low

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 17:18:27 +1300

safe-rm (0.8-3) unstable; urgency=low

  * Fix watch file due to change on the Google Code site (see #581622)

 -- Francois Marier <francois@debian.org>  Fri, 21 May 2010 12:30:25 +1200

safe-rm (0.8-2) unstable; urgency=low

  * Add Japanese debconf translation (closes: #555691)
  * Switch to 3.0 (quilt) source format
  * Bump Standards-Version to 3.8.4

 -- Francois Marier <francois@debian.org>  Mon, 01 Feb 2010 17:16:25 +1300

safe-rm (0.8-1) unstable; urgency=high

  * New upstream release:
    - removal of the unnecessary English.pm dependency (closes: #550938)

 -- Francois Marier <francois@debian.org>  Thu, 15 Oct 2009 20:06:22 +1300

safe-rm (0.7-1) unstable; urgency=low

  * New upstream release
    - now untaints CDPATH

  * Bump Standards-Version up to 3.8.3
  * debian/config: explicit "set -e" to make lintian happy
  * debian/copyright: refer to the right GPL version

 -- Francois Marier <francois@debian.org>  Wed, 23 Sep 2009 13:06:38 +1200

safe-rm (0.6-2) unstable; urgency=low

  * Bump the internal version number

 -- Francois Marier <francois@debian.org>  Fri, 22 May 2009 21:23:51 +1200

safe-rm (0.6-1) unstable; urgency=low

  * New Upstream Version
    - removing protection for symlinks
    - tying the "skipping" message back to safe-rm

 -- Francois Marier <francois@debian.org>  Fri, 22 May 2009 21:11:49 +1200

safe-rm (0.5-1) unstable; urgency=low

  * New upstream release:
  - support for wildcards in protected paths

  * Bump Standards-Version up to 3.8.1
  * Bump debhelper up to 7
  * debian/rules: make use of dh_prep and dh_lintian
  * debian/copyright: fix lintian notice

 -- Francois Marier <francois@debian.org>  Thu, 02 Apr 2009 23:05:45 +1300

safe-rm (0.4-2) unstable; urgency=low

  * Always run rm even when there are no arguments left (closes: #505003)

 -- Francois Marier <francois@debian.org>  Sun, 09 Nov 2008 16:34:46 +1300

safe-rm (0.4-1) unstable; urgency=low

  * New Upstream Version
  * Updated upstream URL
  * Add / to the list of protected paths (system-wide)
  * New Spanish debconf translation (closes: #500184)
  * New Italian debconf translation (closes: #504159)

 -- Francois Marier <francois@debian.org>  Mon, 03 Nov 2008 22:22:38 +1300

safe-rm (0.3-1) unstable; urgency=low

  * New Upstream Version:
    - Better protection for files in the current directory

 -- Francois Marier <francois@debian.org>  Tue, 09 Sep 2008 19:12:21 +1200

safe-rm (0.2-6) unstable; urgency=low

  * Stop referring to /bin/rm in the package description
  * Add Turkish debconf translation (closes: #490085)
  * Add French debconf translation (closes: #490194)
  * Add Portugese debconf translation (closes: #490237)
  * Add Galician debconf translation (closes: #490387)
  * Add Czech debconf translation (closes: #490581)
  * Add Finnish debconf translation (closes: #490629)
  * Add German debconf translation (closes: #490703)
  * Add Swedish debconf translation (closes: #490798)
  * Add Basque debconf translation (closes: #491003)
  * Add Vietnamese debconf translation (closes: #491050)
  * Add Russian debconf translation (closes: #491341)

 -- Francois Marier <francois@debian.org>  Thu, 24 Jul 2008 16:41:37 +1200

safe-rm (0.2-5) unstable; urgency=high

  * Add a debconf question to abort the upgrade. Someone pointed out that
    the fact that rm is temporarily missing during an upgrade is likely to
    cause problems if you're upgrading more than just safe-rm.

 -- Francois Marier <francois@debian.org>  Wed, 09 Jul 2008 11:45:26 +1200

safe-rm (0.2-4) unstable; urgency=high

  * Move the binary to /usr/bin which removes the need for a diversion
    (closes: #489690). Urgency high because of this critical bug.

 -- Francois Marier <francois@debian.org>  Mon, 07 Jul 2008 21:00:52 +1200

safe-rm (0.2-3) unstable; urgency=low

  * Update homepage, watch file and URL in copyright file

 -- Francois Marier <francois@debian.org>  Fri, 20 Jun 2008 23:27:49 +1200

safe-rm (0.2-2) unstable; urgency=low

  * Fix watch file
  * Revised package description (thanks to Justin B Rye!)

 -- Francois Marier <francois@debian.org>  Wed, 18 Jun 2008 09:07:59 +1200

safe-rm (0.2-1) unstable; urgency=low

  * Initial release (Closes: #485088)

 -- Francois Marier <francois@debian.org>  Sun, 08 Jun 2008 21:20:41 +1200

=== debian/control ===
Source: safe-rm
Section: utils
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.3
Homepage: http://www.safe-rm.org.nz
Vcs-Git: git://git.debian.org/git/collab-maint/safe-rm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/safe-rm.git;a=summary

Package: safe-rm
Architecture: all
Pre-Depends: debconf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: wrapper around the rm command to prevent accidental deletions
 This package provides a tool intended to prevent the accidental deletion
 of important files by replacing rm with a wrapper, which checks the
 given arguments against a configurable blacklist of files and directories
 that should never be removed.
 .
 Users who attempt to delete one of these protected files or directories will
 not be able to do so and will be shown a warning message instead.
 .
 Protected paths can be set both at the site and user levels.

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(safe-rm-([\d.]+)\.tar\.gz).*#http://safe-rm.googlecode.com/files/$1#,filenamemangle=s#.*(safe-rm-([\d.]+)\.tar\.gz).*#$1# \
    http://code.google.com/p/safe-rm/downloads/list ^.*detail\?name=safe-rm-([\d.]+)\.tar\.gz.*

## safe-rm 0.10

=== debian/changelog ===
safe-rm (0.10-4) unstable; urgency=medium

  * Update homepage in debian/control
  * Switch to a machine-readable debian/copyright

 -- Francois Marier <francois@debian.org>  Sat, 01 Feb 2014 22:44:37 +1300

safe-rm (0.10-3) unstable; urgency=medium

  * Add upstream's signing-key and use it in debian/watch
  * Bump Standards-Version up to 3.9.5

 -- Francois Marier <francois@debian.org>  Mon, 27 Jan 2014 03:20:54 +1300

safe-rm (0.10-2) unstable; urgency=low

  * Fix watch file
  * Add desktop file to easily add files to the blacklist (LP: #1070368)

 -- Francois Marier <francois@debian.org>  Mon, 10 Jun 2013 13:37:48 +1200

safe-rm (0.10-1) unstable; urgency=low

  * New upstream release (closes: #708202)
  * Bump Standards-Version up to 3.9.4
  * Use canonical VCS URLs in debian/control

 -- Francois Marier <francois@debian.org>  Sun, 09 Jun 2013 19:45:48 +1200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.3
-Homepage: http://www.safe-rm.org.nz
-Vcs-Git: git://git.debian.org/git/collab-maint/safe-rm.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/safe-rm.git;a=summary
+Standards-Version: 3.9.5
+Homepage: https://launchpad.net/safe-rm
+Vcs-Git: git://anonscm.debian.org/collab-maint/safe-rm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/safe-rm.git;a=summary
 
 Package: safe-rm
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man $(CURDIR)/safe-rm > $(CURDIR)/safe-rm.1

## safe-rm 0.12

=== debian/changelog ===
safe-rm (0.12-2) unstable; urgency=medium

  * Add Brazilian debconf translation (closes: #811536)
  * Run wrap-and-sort

 -- Francois Marier <francois@debian.org>  Tue, 19 Jan 2016 09:25:00 -0800

safe-rm (0.12-1) unstable; urgency=high

  * New upstream release (closes: #767477)

 -- Francois Marier <francois@debian.org>  Mon, 03 Nov 2014 15:18:31 +1300

safe-rm (0.11-2) unstable; urgency=medium

  * Add Dutch debconf translation (closes: #766254)

 -- Francois Marier <francois@debian.org>  Wed, 22 Oct 2014 10:21:50 +1300

safe-rm (0.11-1) unstable; urgency=medium

  * New upstream release
    - new XDG Base Directory spec compliant config file (closes: #759531)

 -- Francois Marier <francois@debian.org>  Wed, 08 Oct 2014 00:49:41 +1300

safe-rm (0.10-5) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6

 -- Francois Marier <francois@debian.org>  Fri, 19 Sep 2014 00:22:38 +1200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/safe-rm
 Vcs-Git: git://anonscm.debian.org/collab-maint/safe-rm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/safe-rm.git;a=summary
@@ -11,7 +11,7 @@
 Package: safe-rm
 Architecture: all
 Pre-Depends: debconf
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: wrapper around the rm command to prevent accidental deletions
  This package provides a tool intended to prevent the accidental deletion
  of important files by replacing rm with a wrapper, which checks the

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/safe-rm/+download https://launchpad.net/safe-rm/trunk/.*/\+download/safe-rm-(.*)\.tar\.gz

## safe-rm 0.13

=== debian/changelog ===
safe-rm (0.13-1) unstable; urgency=high

  * New upstream release
    - Update filename of README in debian/docs.
    - Update description in debian/control to match upstream's.
    - Bump copyright years in debian/copyright.

  * Revert check for interactive shells since inside of X11 sessions, the
    /etc/profile.d/safe-rm.sh file is sourced from a non-interactive shell
    and so it ends up not being enabled for any terminals, making the
    safe-rm safely checks disabled by default in most cases.

 -- Francois Marier <francois@debian.org>  Sat, 05 Sep 2020 14:51:30 -0700

safe-rm (0.12-11) unstable; urgency=medium

  * Only add safe-rm to the path of interactive shells.

 -- Francois Marier <francois@debian.org>  Sun, 30 Aug 2020 19:31:33 -0700

safe-rm (0.12-10) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.0.
  * Bump debhelper-compat to 13.
  * Build without root.

 -- Francois Marier <francois@debian.org>  Fri, 21 Aug 2020 22:50:59 -0700

safe-rm (0.12-9) unstable; urgency=medium

  * Bump Standards-Version up to 4.3.0

 -- Francois Marier <francois@debian.org>  Fri, 12 Jul 2019 08:54:40 -0700

safe-rm (0.12-8) unstable; urgency=medium

  * Bump Standards-Version up to 4.3.0
  * Bump debhelper compat up to 12
  * Set Multi-Arch: foreign

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 23:35:05 -0800

safe-rm (0.12-7) unstable; urgency=medium

  * Use a minimal key in debian/upstream/signing-key.asc
  * Bump Standards-Version to 4.2.1

 -- Francois Marier <francois@debian.org>  Sat, 08 Dec 2018 11:20:29 -0800

safe-rm (0.12-6) unstable; urgency=high

  * Replace /usr/bin/ symlink with /etc/profile.d/ config file for
    Bourne-compatible shells. Patches for other shells are welcome.
    (closes: #759410)
  * Update desktop action to use new user config file
  * Bump Standards-Version up to 4.2.0

 -- Francois Marier <francois@debian.org>  Sat, 04 Aug 2018 13:25:52 -0700

safe-rm (0.12-5) unstable; urgency=medium

  * Remove unused debconf dependencies (closes: #904183)
  * Bump Standards-Version up to 4.1.5

 -- Francois Marier <francois@debian.org>  Fri, 27 Jul 2018 11:02:58 -0700

safe-rm (0.12-4) unstable; urgency=medium

  * Remove obsolete maintainer scripts and debconf notice (closes: #900341)
  * Remove trailing whitespace from debian/changelog

 -- Francois Marier <francois@debian.org>  Sat, 09 Jun 2018 15:07:47 -0700

safe-rm (0.12-3) unstable; urgency=medium

  * Update VCS URLs for salsa
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * Use HTTPS URL in debian/copyright (lintian warning)
  * Bump copyright year in debian/copyright
  * Run `wrap-and-sort -ast`

 -- Francois Marier <francois@debian.org>  Thu, 10 May 2018 20:19:32 -0700

=== debian/control ===
Source: safe-rm
Section: utils
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://launchpad.net/safe-rm
Vcs-Git: https://salsa.debian.org/debian/safe-rm.git
Vcs-Browser: https://salsa.debian.org/debian/safe-rm

Package: safe-rm
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: wrapper around the rm command to prevent accidental deletions
 This package provides a tool intended to prevent the accidental deletion
 of important files by replacing rm with a wrapper, which checks the
 given arguments against a configurable list of exclusions for files and
 directories that should never be removed.
 .
 Users who attempt to delete one of these protected files or directories will
 not be able to do so and will be shown a warning message instead.
 .
 Protected paths can be set both at the site and user levels.

## safe-rm 1.0.0

=== debian/changelog ===
safe-rm (1.0.0-2) unstable; urgency=medium

  * Use the dh-cargo build system.

 -- Francois Marier <francois@debian.org>  Sat, 28 Nov 2020 18:30:00 -0800

safe-rm (1.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Rust rewrite

  * Update build-depends for Rust.
  * Switch package to Arch: any.
  * Stop generating the manpage in debian/rules.

  * Bump Standards-Version up to 4.5.1.
  * Move manpage from debian/install to debian/manpages.
  * Upgrade debian/watch to version 4.
  * Add debian/upstream/metadata.
  * Add /usr/bin/env to /etc/safe-rm.conf.

 -- Francois Marier <francois@debian.org>  Thu, 26 Nov 2020 21:27:14 -0800

## safe-rm 1.1.0

=== Makefile ===
--- 
+++ 
@@ -21,5 +21,11 @@
 	-rm -rf $(TARBALL) $(TARBALL).asc $(BUILDDIR) target
 
 test:
-	cargo check
+	cargo check --all-targets
 	cargo test
+
+lint:
+	cargo-geiger --all-dependencies --quiet true
+	cargo audit --deny-warnings --quiet
+	cargo clippy --quiet
+	cargo tarpaulin --fail-under 90

=== debian/changelog ===
safe-rm (1.1.0-5) unstable; urgency=medium

  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:40:11 -0800

safe-rm (1.1.0-4) unstable; urgency=medium

  * Bump Standards-Version up to 4.6.1.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Mon, 05 Dec 2022 00:27:28 -0800

safe-rm (1.1.0-3) unstable; urgency=medium

  [ Ximin Luo ]
  * Add missing Build-Depends: libstd-rust-dev. (Closes: #999511)

  [ Francois Marier ]
  * Bump Standards-Version up to 4.6.0.
  * Remove XB prefix in X-Cargo-Built-Using field (debian/control).

 -- Francois Marier <francois@debian.org>  Thu, 11 Nov 2021 23:18:46 -0800

safe-rm (1.1.0-2) unstable; urgency=medium

  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 19 Jan 2021 00:10:36 -0800

safe-rm (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove .desktop file which is now shipped upstream.
  * Remove /usr/bin/env from /etc/safe-rm.conf.

 -- Francois Marier <francois@debian.org>  Tue, 05 Jan 2021 21:52:30 -0800

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,33 @@
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends:
+ cargo:native,
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+ dh-cargo,
+ librust-glob-dev,
+ libstd-rust-dev,
+ rustc:native,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/safe-rm
 Vcs-Git: https://salsa.debian.org/debian/safe-rm.git
 Vcs-Browser: https://salsa.debian.org/debian/safe-rm
 
 Package: safe-rm
-Architecture: all
-Multi-Arch: foreign
+Architecture: any
 Depends:
+ ${cargo:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${cargo:Recommends},
+Suggests:
+ ${cargo:Suggests},
+Provides:
+ ${cargo:Provides},
+Built-Using:
+ ${cargo:Built-Using},
+X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
 Description: wrapper around the rm command to prevent accidental deletions
  This package provides a tool intended to prevent the accidental deletion
  of important files by replacing rm with a wrapper, which checks the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem cargo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://launchpad.net/@PACKAGE@/+download https://launchpad.net/@PACKAGE@/trunk/.*/\+download/@PACKAGE@-(.*)\.tar\.gz debian uupdate
